function createimagedata()
%  createimagedata - Processes images in a directory and saves a Matlab
%               workspace that can be loaded into the dictionary learning
%               algorithms. (runtrials_image.m)
%
% Returns:
% imagedata.mat    - Matlab workspace
%
%  JFM   1/20/2001
%  Rev:  1/5/2004

%pathname = '/data/images/coil/coil20small2';  % Coil
pathname = '/data/images/lightwave/exp1_64x64';  % Lightwave

numsamples = 20000;
patch_width = 8;
patch_height = 8;
rows = patch_width*patch_height;
transmod = 5;    % !! Must be consistent with CreateImageDataset.m (should be loaded from here)

data = convertimages(pathname, numsamples, patch_width, patch_height, transmod);
%btrain = ( data' - 128 ) ./ 256;
btrain = ( data' ) ./ 256;

% Load data generated by ImageICA
%load '/ica/imageica/imageica/results/data.mat' X
%btrain = X;

% Remove mean of each patch
%btrain = btrain - ones(size(btrain,1),1) * mean(btrain);

A = eye(rows, rows);
Aorig = A;
x = zeros(rows, numsamples);
xorig = x;

save imagedata_lw-exp1_2 A Aorig xorig btrain x patch_width patch_height numsamples

return;